DNS

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 DNS 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.3CURRENT-
1.2DEPRECATED20260331
1.1DEPRECATED20260331

OpenAPI URL

https://dns.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Activate Private DNS

1.1.1 - 1.3

post /v1/private-dns/activate

Description

Private DNS 활성화

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.1.2 - 1.2

post /v1/private-dns/activate

Description

Private DNS 활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.1.3 - 1.1

post /v1/private-dns/activate

Description

Private DNS 활성화

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.2 - Create Hosted Zone

1.2.1 - 1.3

post /v1/hosted-zones

Description

Hosted zone 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "my-zone.com",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "tags": [],
    "type": "private"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

1.2.2 - 1.2

post /v1/hosted-zones

Description

Hosted zone 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "This is description",
    "email": "test@samsung.com",
    "name": "my-zone.com",
    "private_dns_id": "",
    "tags": [],
    "type": "public"
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.2.3 - 1.1

post /v1/hosted-zones

Description

Hosted zone 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "This is description",
    "email": "test@samsung.com",
    "name": "my-zone.com",
    "tags": [],
    "type": "public"
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.3 - Create Hosted Zone Record

1.3.1 - 1.3

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

RecordCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "test.app",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600,
    "type": "A"
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.4 - Create Private DNS

1.4.1 - 1.3

post /v1/private-dns

Description

Private DNS 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.4.2 - 1.2

post /v1/private-dns

Description

Private DNS 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.4.3 - 1.1

post /v1/private-dns

Description

Private DNS 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.5 - Create Public Domain

1.5.1 - 1.2

post /v1/public-domain-names

Description

Public Domin record 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse
400Bad RequestNone
403ForbiddenNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "address_type": "DOMESTIC",
    "auto_extension": true,
    "description": "This is description",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": "010-1234-5678",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.5.2 - 1.1

post /v1/public-domain-names

Description

Public Domin record 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse
400Bad RequestNone
403ForbiddenNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "address_type": "DOMESTIC",
    "auto_extension": true,
    "description": "This is description",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": "010-1234-5678",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.6 - Create Public Domain Name

1.6.1 - 1.3

post /v1/public-domain-names

Description

Public Domain Name 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "DOMESTIC",
    "auto_extension": true,
    "description": "This is description",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": "010-1234-5678",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.7 - Create Record

1.7.1 - 1.2

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

RecordCreateRequestV1Dot1To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "This is description",
    "name": "test.app",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600,
    "type": "A"
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.7.2 - 1.1

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 생성

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

RecordCreateRequestV1Dot1To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "This is description",
    "name": "test.app",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600,
    "type": "A"
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.8 - Delete Hosted Zone

1.8.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.8.2 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.8.3 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneDeleteResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.9 - Delete Hosted Zone Record

1.9.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.10 - Delete Private DNS

1.10.1 - 1.3

delete /v1/private-dns/{private_dns_id}

Description

Private DNS 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.10.2 - 1.2

delete /v1/private-dns/{private_dns_id}

Description

Private DNS 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

1.10.3 - 1.1

delete /v1/private-dns/{private_dns_id}

Description

Private DNS 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

1.11 - Delete Record

1.11.1 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.11.2 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 삭제

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.12 - Get Public Domain Detail

1.12.1 - 1.2

get /v1/public-domain-names/{public_domain_id}

Description

Public domain ID로 상세 정보 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.12.2 - 1.1

get /v1/public-domain-names/{public_domain_id}

Description

Public domain ID로 상세 정보 조회

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.13 - List Hosted Zone Records

1.13.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 목록

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
querylimit
optional
한도
Example :
any of [integer, null]None
querymarker
optional
마커
Example :
any of [string, null]None
querysort_dir
optional
정렬 방향
Example :
any of [string, null]None
querysort_key
optional
정렬 키
Example :
any of [string, null]None
queryname
optional
이름
Example : test.app
any of [string, null]None
queryexact_name
optional
이름
Example : test.app
any of [string, null]None
querytype
optional
레코드 유형
Example : A
any of [string, null]None
querydata
optional
레코드 데이터
Example : 12345.ns.private.kr-west1.dev2.samsungsdscloud.com
any of [string, null]None
querystatus
optional
상태
Example : ACTIVE
any of [string, null]None
querydescription
optional
설명
Example : This is description
any of [string, null]None
queryttl
optional
존의 TTL.
Example : 3600
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "CREATE",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
            "links": "",
            "name": "test.app",
            "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
            "records": [
                "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
            ],
            "status": "ACTIVE",
            "ttl": 3600,
            "type": "A",
            "updated_at": "2026-02-09T08:00:40Z",
            "version": 1,
            "zone_id": "3432012nfdksdf03ktrld9234lgfg",
            "zone_name": "my-zone.com"
        }
    ]
}

1.14 - List Hosted Zones

1.14.1 - 1.3

get /v1/hosted-zones

Description

Hosted zone 목록

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : my-zone.com
any of [string, null]None
querytype
optional
존 유형
Example :
any of [enum (public, private), null]None
querystatus
optional
상태
Example :
any of [enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN), null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot3
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "hosted_zones": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "my-zone.com",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "private_dns_id": "10fjkewefprivatedns3193rud543",
            "private_dns_name": "private-dns01",
            "status": "CREATING",
            "ttl": "3600"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.14.2 - 1.2

get /v1/hosted-zones

Description

Hosted zone 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
이름
Example : my-zone.com
any of [string, null]None
queryexact_name
optional
이름
Example : my-zone.com
any of [string, null]None
querytype
optional
존 유형
Example : public
any of [string, null]None
queryemail
optional
이메일
Example : test@samsung.com
any of [string, null]None
querystatus
optional
상태
Example : ACTIVE
any of [string, null]None
querydescription
optional
설명
Example : This is description
any of [string, null]None
queryttl
optional
존의 TTL.
Example : 3600
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot2
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "email": "test@samsung.com",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "links": "",
            "masters": [
                ""
            ],
            "name": "my-zone.com",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "private_dns_id": "10fjkewefprivatedns3193rud543",
            "private_dns_name": "private-dns01",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "ACTIVE",
            "transferred_at": "",
            "ttl": 3600,
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

1.14.3 - 1.1

get /v1/hosted-zones

Description

Hosted zone 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
이름
Example : my-zone.com
any of [string, null]None
queryexact_name
optional
이름
Example : my-zone.com
any of [string, null]None
querytype
optional
존 유형
Example : public
any of [string, null]None
queryemail
optional
이메일
Example : test@samsung.com
any of [string, null]None
querystatus
optional
상태
Example : ACTIVE
any of [string, null]None
querydescription
optional
설명
Example : This is description
any of [string, null]None
queryttl
optional
존의 TTL.
Example : 3600
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot1
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "email": "test@samsung.com",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "links": "",
            "masters": [
                ""
            ],
            "name": "my-zone.com",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "ACTIVE",
            "transferred_at": "",
            "ttl": 3600,
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

1.15 - List Private DNS

1.15.1 - 1.3

get /v1/private-dns

Description

Private DNS 목록

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
프라이빗 DNS 이름
Example :
any of [string, null]None
queryvpc_id
optional
연결된 VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
상태
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR, PENDING), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.2 - 1.2

get /v1/private-dns

Description

Private DNS 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
프라이빗 DNS 이름
Example :
any of [string, null]None
queryvpc_id
optional
연결된 VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
상태
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR, PENDING), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.3 - 1.1

get /v1/private-dns

Description

Private DNS 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
프라이빗 DNS 이름
Example :
any of [string, null]None
queryvpc_id
optional
연결된 VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
상태
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR, PENDING), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.16 - List Public Domain Names

1.16.1 - 1.3

get /v1/public-domain-names

Description

Public Domain Name 목록

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
퍼블릭 도메인 이름
Example : example.com
any of [string, null]None
querycreated_by
optional
생성자
Example : 504f24f8111e42e0578f367acd2a149f
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "2025-09-08T03:43:57Z",
            "created_by": "504f24f8111e42e0578f367acd2a149f",
            "expired_date": "2026-09-09T00:00:00Z",
            "id": "10fjkeweffpublicdomain3193rud543",
            "modified_at": "2026-02-09T08:00:40Z",
            "modified_by": "504f24f8111e42e0578f367acd2a149f",
            "name": "example.com",
            "register_email": "admin@example.com",
            "start_date": "2025-09-09T00:00:00Z",
            "status": "REGISTERED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17 - List Public Domains

1.17.1 - 1.2

get /v1/public-domain-names

Description

Public Domain 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
퍼블릭 도메인 이름
Example : example.com
any of [string, null]None
querycreated_by
optional
생성자
Example : 504f24f8111e42e0578f367acd2a149f
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "2025-09-08T03:43:57Z",
            "created_by": "504f24f8111e42e0578f367acd2a149f",
            "expired_date": "2026-09-09T00:00:00Z",
            "id": "10fjkeweffpublicdomain3193rud543",
            "modified_at": "2026-02-09T08:00:40Z",
            "modified_by": "504f24f8111e42e0578f367acd2a149f",
            "name": "example.com",
            "register_email": "admin@example.com",
            "start_date": "2025-09-09T00:00:00Z",
            "status": "REGISTERED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17.2 - 1.1

get /v1/public-domain-names

Description

Public Domain 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
퍼블릭 도메인 이름
Example : example.com
any of [string, null]None
querycreated_by
optional
생성자
Example : 504f24f8111e42e0578f367acd2a149f
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "2025-09-08T03:43:57Z",
            "created_by": "504f24f8111e42e0578f367acd2a149f",
            "expired_date": "2026-09-09T00:00:00Z",
            "id": "10fjkeweffpublicdomain3193rud543",
            "modified_at": "2026-02-09T08:00:40Z",
            "modified_by": "504f24f8111e42e0578f367acd2a149f",
            "name": "example.com",
            "register_email": "admin@example.com",
            "start_date": "2025-09-09T00:00:00Z",
            "status": "REGISTERED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.18 - List Records

1.18.1 - 1.2

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
querylimit
optional
한도
Example :
any of [integer, null]None
querymarker
optional
마커
Example :
any of [string, null]None
querysort_dir
optional
정렬 방향
Example :
any of [string, null]None
querysort_key
optional
정렬 키
Example :
any of [string, null]None
queryname
optional
이름
Example : test.app
any of [string, null]None
queryexact_name
optional
이름
Example : test.app
any of [string, null]None
querytype
optional
레코드 유형
Example : A
any of [string, null]None
querydata
optional
레코드 데이터
Example : 12345.ns.private.kr-west1.dev2.samsungsdscloud.com
any of [string, null]None
querystatus
optional
상태
Example : ACTIVE
any of [string, null]None
querydescription
optional
설명
Example : This is description
any of [string, null]None
queryttl
optional
존의 TTL.
Example : 3600
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "CREATE",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
            "links": "",
            "name": "test.app",
            "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
            "records": [
                "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
            ],
            "status": "ACTIVE",
            "ttl": 3600,
            "type": "A",
            "updated_at": "2026-02-09T08:00:40Z",
            "version": 1,
            "zone_id": "3432012nfdksdf03ktrld9234lgfg",
            "zone_name": "my-zone.com"
        }
    ]
}

1.18.2 - 1.1

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Hosted zone record 목록

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
querylimit
optional
한도
Example :
any of [integer, null]None
querymarker
optional
마커
Example :
any of [string, null]None
querysort_dir
optional
정렬 방향
Example :
any of [string, null]None
querysort_key
optional
정렬 키
Example :
any of [string, null]None
queryname
optional
이름
Example : test.app
any of [string, null]None
queryexact_name
optional
이름
Example : test.app
any of [string, null]None
querytype
optional
레코드 유형
Example : A
any of [string, null]None
querydata
optional
레코드 데이터
Example : 12345.ns.private.kr-west1.dev2.samsungsdscloud.com
any of [string, null]None
querystatus
optional
상태
Example : ACTIVE
any of [string, null]None
querydescription
optional
설명
Example : This is description
any of [string, null]None
queryttl
optional
존의 TTL.
Example : 3600
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "CREATE",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
            "links": "",
            "name": "test.app",
            "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
            "records": [
                "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
            ],
            "status": "ACTIVE",
            "ttl": 3600,
            "type": "A",
            "updated_at": "2026-02-09T08:00:40Z",
            "version": 1,
            "zone_id": "3432012nfdksdf03ktrld9234lgfg",
            "zone_name": "my-zone.com"
        }
    ]
}

1.19 - Set Hosted Zone Record

1.19.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 업데이트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone
bodybody
required

RecordSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordSetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.20 - Set Private DNS

1.20.1 - 1.3

put /v1/private-dns/{private_dns_id}

Description

Private DNS 업데이트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.20.2 - 1.2

put /v1/private-dns/{private_dns_id}

Description

Private DNS 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.20.3 - 1.1

put /v1/private-dns/{private_dns_id}

Description

Private DNS 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.21 - Set Public Domain Name

1.21.1 - 1.3

put /v1/public-domain-names/{public_domain_id}

Description

Public Domain Name 업데이트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainPartialUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainPartialUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "auto_extension": true,
    "description": "This is description"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "description": "This is description",
    "id": "10fjkeweffpublicdomain3193rud543"
}

1.22 - Set Public Domain Name Whois Info

1.22.1 - 1.3

put /v1/public-domain-names/{public_domain_id}/information

Description

Public Domain Name Whois 정보 업데이트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PubblicDomainWhoisInfoUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainWhoisInfoUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/information

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "DOMESTIC",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_telno": "010-1234-5678"
}

Example HTTP response

Response 200

{
    "address_type": "DOMESTIC",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": "010-1234-5678"
}

1.23 - Show Hosted Zone

1.23.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 상세

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponseV1Dot3
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

1.23.2 - 1.2

get /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.23.3 - 1.1

get /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.24 - Show Hosted Zone Record

1.24.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 상세

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.25 - Show Private DNS

1.25.1 - 1.3

get /v1/private-dns/{private_dns_id}

Description

Private DNS 상세

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.25.2 - 1.2

get /v1/private-dns/{private_dns_id}

Description

Private DNS 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.25.3 - 1.1

get /v1/private-dns/{private_dns_id}

Description

Private DNS 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
프라이빗 DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.26 - Show Public Domain Name

1.26.1 - 1.3

get /v1/public-domain-names/{public_domain_id}

Description

Public Domain Name 상세

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "010-1234-5678",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.27 - Show Record

1.27.1 - 1.2

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.27.2 - 1.1

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Hosted zone record 상세

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
호스티드 존 ID
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
레코드 ID
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.28 - Transfer Public Domain Name

1.28.1 - 1.3

post /v1/public-domain-names/{public_domain_id}/transfer

Description

Public Domain Name 이관

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainTransferRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainTransferResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "target_account_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "type": "REQUEST"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "expired_date": "2026-09-09T00:00:00Z",
    "id": "10fjkeweffpublicdomain3193rud543",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "example.com",
    "start_date": "2025-09-09T00:00:00Z",
    "state": "TRANSFER_REQUESTED"
}

1.29 - Update auto_extension or description

1.29.1 - 1.2

put /v1/public-domain-names/{public_domain_id}

Description

Public Domain auto_extension 또는 설명 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainPartialUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainPartialUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "auto_extension": true,
    "description": "This is description"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "description": "This is description",
    "id": "10fjkeweffpublicdomain3193rud543"
}

1.29.2 - 1.1

put /v1/public-domain-names/{public_domain_id}

Description

Public Domain auto_extension 또는 설명 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
ID
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainPartialUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainPartialUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "auto_extension": true,
    "description": "This is description"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "description": "This is description",
    "id": "10fjkeweffpublicdomain3193rud543"
}

1.30 - Update Hosted Zone

1.30.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 업데이트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

HostedZoneSetRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

1.30.2 - 1.2

put /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

HostedZoneSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "This is description",
    "email": "test@samsung.com"
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "email": "test@samsung.com",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "links": "",
    "masters": [
        ""
    ],
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "ACTIVE",
    "transferred_at": "",
    "ttl": 3600,
    "type": "",
    "updated_at": "",
    "version": ""
}

1.30.3 - 1.1

put /v1/hosted-zones/{hosted_zone_id}

Description

Hosted zone 업데이트

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
아이디
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

HostedZoneSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneSetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "This is description",
    "email": "test@samsung.com"
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "2025-09-08T03:43:57Z",
[...]
